aboutsummarylogtreecommitdiffstats
path: root/ut2004-update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ut2004-update.sh')
-rw-r--r--ut2004-update.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/ut2004-update.sh b/ut2004-update.sh
new file mode 100644
index 000000000000..df03c3694443
--- /dev/null
+++ b/ut2004-update.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+if [ "$(whoami)" != "root" ]
+then
+ echo "Must be ran as root"
+ exit 1
+fi
+
+export UT2004_PATH="/opt/ut2004"
+
+printf "Enter your Steam username:"
+read steam_username
+steamcmd +@sSteamCmdForcePlatformType windows +@ShutdownOnFailedCommand 1 +force_install_dir $UT2004_PATH +login $steam_username "+app_update 13230 validate" +quit